Skip to navigation

List Tagged Schema

View as Markdown

Retrieves a list of schema associated with the Tags specified by the tagIds query string parameters. Additionally, the response lists all other Tag Associations for each schema.

You require read access to the library specified in the scope query string parameter to call this operation.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

tagCollectionIdstringRequired

Headers

RegionenumOptionalDefaults to US

The Autodesk Schema Registry currently supports in the US and EMEA regions. This header specifies where your data is stored. Possible Values:

  • US - (Default) All requests without a specified region header will be directed to the US region.
  • EMEA - Data center for the European Union, Middle East, and Africa. To access the EMEA region specifically, include the header “region: EMEA” in your API requests.
Allowed values:

Query parameters

tagIdslist of stringsRequired
An array of Tag IDs. The response will contain only the schemas associated with the specified Tags.
offsetintegerOptional

Specifies the first so many items to exclude from the response. Use this parameter with the limit query parameter to split the response into multiple pages. To fetch the first page, specify offset =0 (do not exclude any items). To fetch the second page, specify offset = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, offset = previous_offset + previous_limit.This parameter is 0 by default. The minimum value is 0.

limitintegerOptional

Specifies the maximum number of items to return in a single page. Use this parameter with the offset query parameter to split the response into multiple pages. To fetch the first page, specify offset =0 (do not exclude any items). To fetch the second page, specify offset = value of limit you specified for the first page. So, the Tags Service excludes the items returned on the first page. In general, offset = previous_offset + previous_limit.This parameter is 20 by default. The minimum value is 1 and the maximum value is 50

scopestringRequired

The value used to define the boundary in which the schema associated with the Tag. This parameter can be used and particularly useful when getting the list of Tagged Schema. Valid value must be filled in by the company’s name and namespace’s name respectively in this pattern: company.namespace

Response

The requested data was successfully returned.
paginationobjectOptional
Specifies if the response has been split in to multiple pages, and if so the details.
resultslist of objectsOptional

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
429
Too Many Requests Error